function  tf_mat = compute_dgt(x, dgt)
%%  tf_mat = compute_dgt(x, dgt)
% This function computes the time-frequency (TF) matrix from a signal 
%
% Input:
%     - x: signal. must be a vector
%     - dgt :gabor transform operator
% Output:
%   -tf_mat: TF matrix
%    
% Author : A. Marina KREME
% e-mail : ama-marina.kreme@lis-lab.fr/ama-marina.kreme@univ-amu.fr
% Created: 2020-28-01
%%
if size(x,2)~=1
    error('Input signal must be a vector of a column:%s',upper(mfilename))
end
tf_mat = dgt(x);
end